## amCharts 4 Geodata package

This package is a collection of geodata - map files for amCharts 4.

Those are meant for use with `MapChart`. (not included in this package)

To make use of geodata (maps), you will need the amCharts 4 library.


### Installation

Put contents of this package into your `amcharts4/geodata` folder.


### Contents

|Directory|Description|
|---------|-----------|
|/dist/es2015/|Map files as modules|
|/dist/es2015/json/|Versions of the map files in plain GeoJSON format|
|/dist/script/|Map files as JavaScript inlcudes|
|/dist/script/json/|Versions of the map files in plain GeoJSON format|


### Documentation

For extensive documentation, including getting started tutorials, as well
as class reference visit [V4 documentation website](https://www.amcharts.com/docs/v4).


### Other ways to get amCharts 4 library and related geodata

* [NPM package (library)](https://www.npmjs.com/package/@amcharts/amcharts4)
* [NPM package (geodata)](https://www.npmjs.com/package/@amcharts/amcharts4-geodata)
* [GitHub repository (library)](https://github.com/amcharts/amcharts4)
* [GitHub repository (geodata)](https://github.com/amcharts/amcharts4-geodata)
* [ZIP download](https://www.amcharts.com/download/)


### CDN

JavaScript version of the files included in this package is available as a free
CDN service, accessible via URL `https://www.amcharts.com/lib/4/geodata/...`,
e.g.:

```
<script src="https://www.amcharts.com/lib/4/geodata/worldLow.js"></script>
```


### License

If you have a commercial amCharts 4 license, this software is covered by your
license, which supersedes any other license bundled with this package.

If you don't have a commercial license, the use of this software is covered by
a freeware license. Refer to included LICENSE file. The license is also
[available online](https://github.com/amcharts/amcharts4/blob/master/dist/script/LICENSE).


### Questions?

[Contact amCharts](mailto:contact@amcharts.com).


### Found a bug?

Open an [issue](https://github.com/amcharts/amcharts4/issues).